Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.callsite
[Java] Class CallSiteArray

    java.lang.Object
      org.codehaus.groovy.runtime.callsite.CallSiteArray

    public final class CallSiteArray
    extends java.lang.Object

Field Summary
`static java.lang.Object[]` | `NOPARAM`
`CallSite[]` | `array`
`java.lang.Class` | `owner`

Constructor Summary
`CallSiteArray(java.lang.Class owner, java.lang.String[] names)`

Method Summary
`static java.lang.Object` | `defaultCall(CallSite callSite, java.lang.Object receiver, java.lang.Object[] args)`
`static java.lang.Object` | `defaultCallConstructor(CallSite callSite, java.lang.Object receiver, java.lang.Object[] args)`
`static java.lang.Object` | `defaultCallCurrent(CallSite callSite, GroovyObject receiver, java.lang.Object[] args)`
`static java.lang.Object` | `defaultCallStatic(CallSite callSite, java.lang.Class receiver, java.lang.Object[] args)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### NOPARAM

    public static final java.lang.Object[] NOPARAM

### array

    public final CallSite[] array

### owner

    public final java.lang.Class owner

Constructor Detail

### CallSiteArray

    public CallSiteArray(java.lang.Class owner, java.lang.String[] names)

Method Detail

### defaultCall

    public static java.lang.Object defaultCall(CallSite callSite, java.lang.Object receiver, java.lang.Object[] args)

### defaultCallConstructor

    public static java.lang.Object defaultCallConstructor(CallSite callSite, java.lang.Object receiver, java.lang.Object[] args)

### defaultCallCurrent

    public static java.lang.Object defaultCallCurrent(CallSite callSite, GroovyObject receiver, java.lang.Object[] args)

### defaultCallStatic

    public static java.lang.Object defaultCallStatic(CallSite callSite, java.lang.Class receiver, java.lang.Object[] args)

Groovy Documentation